Program quartz_ampoule_volume_increase;
Var p,h,r,s,m,e,dr,dh,dv,v,dvv:real;
    f1,f2:text;
Begin
writeln(' ');
writeln(' ');
writeln(' ');
writeln('Program for calculation of a quartz cell volume increase under pressure.');
writeln('Source code by Sergiy G. Krasnokutsky.');
writeln('Physical & organic chemistry chair.');
writeln('(c) 2002.Donetsk National Technical University.');
writeln(' ');
writeln('For more information check the help.doc files.');
writeln(' ');
assign(f1,'data.txt');
assign(f2,'results.txt');
reset(f1);
rewrite(f2);
read(f1,p,h,r,s,m,e);
writeln(' ');
writeln('For pressure P=',p:10,' (Pa) and hieght of liquid column H=',h:10:6,' (m)');
writeln('we obtain the following results:');
writeln(' ');
dr:=(p*sqr(r)*(2-m))/(2*e*s);
dh:=(p*r*h*(1-(2*m)))/(2*e*s);
dv:=2*pi*r*((h*dr)+(r*dh));
v:=pi*sqr(r)*h;
dvv:=(dv/v)*100;
writeln('dR=',dr:10,' m;');
writeln('dH=',dh:10,' m;');
writeln('dV=',dv:10,' m3;');
writeln('V=',v:10,' m3;');
writeln('dV/V=',dvv:10,' %;');
close(f1);
close(f2)
end.




